commit:     70abcf669f792f3782c985b9c46590e09f52b713
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  4 13:47:16 2019 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 13:47:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70abcf66

dev-python/pyelftools: works with py3.7

Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 dev-python/pyelftools/pyelftools-0.24-r1.ebuild | 29 +++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/dev-python/pyelftools/pyelftools-0.24-r1.ebuild 
b/dev-python/pyelftools/pyelftools-0.24-r1.ebuild
new file mode 100644
index 00000000000..d8bfc6dcef8
--- /dev/null
+++ b/dev-python/pyelftools/pyelftools-0.24-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+inherit distutils-r1
+
+DESCRIPTION="pure-Python library for analyzing ELF files and DWARF debugging 
information"
+HOMEPAGE="https://pypi.org/project/pyelftools/ 
https://github.com/eliben/pyelftools";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+python_test() {
+       # readelf_tests often fails due to host `readelf` changing output format
+       local t
+       for t in all_unittests examples_test ; do
+               "${PYTHON}" ./test/run_${t}.py || die "Tests fail with 
${EPYTHON}"
+       done
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

Reply via email to